#!/usr/bin/python

# Chris Hopp (fydo)
# Entry for ludum dare #9

import pygame, os, sys, optparse
from pygame.locals import *
from intro import *
from menu import *
from game import *
from inst import *

def main():

    pygame.mixer.pre_init(22050, -16, 1, 2048)
    pygame.init()
    
    size = width, height = 640, 480
    screen = pygame.display.set_mode(size, HWSURFACE|DOUBLEBUF)
    
    pygame.mouse.set_visible(0)

    pygame.display.set_caption('fydo\'s game - boredBuild')

    #intro time!
    theIntro = Intro()
    theIntro.DisplayIntro(screen)
    
    while 1:
        screen.fill( (0, 0, 0))
        
        # Purge input queue 
        pygame.event.get()

        # Do introscreen stuff  here
        themenu = Menu()

        result = themenu.ShowMenu(screen)
        if result == 0:
            theinst = Inst()
            theinst.DisplayInst(screen)
        elif result == 1:
            thegame = Game()
            thegame.Start(screen)
        elif result == 2:
            pygame.display.quit()
            return

def Start():
    # Welcome the player
    print 'fydo\'s boredBuild - http://www.fydo.net'

    # Play time
    main()

    # Say goodbye like every good little program should
    print 'thanks for playing!'

if __name__ == '__main__':
    Start()

